%global srcname requests_credssp
%global gh_owner jborean93
%global gh_name requests-credssp

Name:       python-%{gh_name}
Version:    2.0.0
Release:    1%{?dist}
Summary:    Allows for HTTPS CredSSP authentication using the requests library

License:    MIT
URL:        https://github.com/jborean93/requests-credssp
Source0:    https://github.com/%{gh_owner}/%{gh_name}/archive/v%{version}.tar.gz#/%{gh_name}-%{version}.tar.gz
BuildArch:  noarch

BuildRequires:  pyOpenSSL

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

BuildRequires:  python3-pytest
BuildRequires:  python3-cryptography
BuildRequires:  python3-requests
BuildRequires:  python3-pyOpenSSL
BuildRequires:  python3-pyasn1
BuildRequires:  python3-ntlm-auth
BuildRequires:  python3-spnego
%description
This package allows for HTTPS CredSSP authentication using the requests
library. CredSSP is a Microsoft authentication that allows your credentials
to be delegated to a server giving you double hop authentication.

%package -n python3-%{gh_name}
Requires:  python3-cryptography
Requires:  python3-requests
Requires:  python3-pyOpenSSL
Requires:  python3-pyasn1
Requires:  python3-ntlm-auth
Summary:  Python 3 credssp library
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{gh_name}
This package allows for HTTPS CredSSP authentication using the requests
library. CredSSP is a Microsoft authentication that allows your credentials
to be delegated to a server giving you double hop authentication.

%prep
%autosetup -n %{gh_name}-%{version}
rm -rf %{gh_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{pytest} -k "not test_invalid_auth_mechanism"

%files -n python3-%{gh_name}
%license LICENSE
%doc CHANGELOG.md README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-1
- initial build
